Rotate cluster agent key
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/rotate-agent-key \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"agentAccessMode": "read_only"
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({agentAccessMode: 'read_only'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/rotate-agent-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentKey": "<string>",
"keyVersion": 123,
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installInstructions": {
"command": "<string>",
"environment": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Targets and inventory
Rotate cluster agent key
Rotate cluster agent key
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/rotate-agent-key \
--header 'Content-Type: application/json' \
--cookie acornops_cp_session= \
--data '
{
"agentAccessMode": "read_only"
}
'const options = {
method: 'POST',
headers: {cookie: 'acornops_cp_session=', 'Content-Type': 'application/json'},
body: JSON.stringify({agentAccessMode: 'read_only'})
};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/kubernetes-clusters/{clusterId}/rotate-agent-key', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"agentKey": "<string>",
"keyVersion": 123,
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vmId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installInstructions": {
"command": "<string>",
"environment": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"5b006e4c-509c-458a-9f02-5aafbdc01ade"
Body
application/json
Controls the generated Helm command RBAC mode. read_write adds rbac.write.enabled=true.
Available options:
read_only, read_write